<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmBatchFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmBatchFlags Enumeration

Visual Basic
C#
C++/CLI
Flags used in IEdmBatchUpdate::SetVar and IEdmBatchUpdate2::SetFolderVar to control the behavior of IEdmBatchUpdate and IEdmBatchUpdate2. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmBatchFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmBatchFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmBatchFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmBatch_AllConfigs | 1 = Ignore the configuration argument and update the variable value in all configurations
EdmBatch_Nothing | 0 = Normal operation
EdmBatch_RefreshPreview | 2 = Reload data card
EdmBatch_UpdateVarIfNotPartOfCard | 4 = Update all variables, even those that are not visible in this data card

# See Also

####

EPDM.Interop.epdm Namespace